Name:           s2n-tls
Version:        1.4.13
Release:        1%{?dist}
Summary:        A C99 implementation of the TLS/SSL protocols

License:        Apache-2.0
URL:            https://github.com/aws/s2n-tls
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         s2n-tls-cmake.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  ninja-build

Requires:       openssl-libs
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
s2n-tls is a C99 implementation of the TLS/SSL protocols that is
designed to be simple, small, fast, and with security as a priority.


%package libs
Summary:        A C99 implementation of the TLS/SSL protocols
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description libs
s2n-tls is a C99 implementation of the TLS/SSL protocols that is
designed to be simple, small, fast, and with security as a priority.


%package devel
Summary:        A C99 implementation of the TLS/SSL protocols
Requires:       openssl-devel
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
s2n-tls is a C99 implementation of the TLS/SSL protocols that is
designed to be simple, small, fast, and with security as a priority.


%package doc
Summary:        A C99 implementation of the TLS/SSL protocols

%description doc
s2n-tls is a C99 implementation of the TLS/SSL protocols that is
designed to be simple, small, fast, and with security as a priority.


%prep
%autosetup -p1


%build
%cmake -GNinja -DBUILD_SHARED_LIBS=ON -DCMAKE_BUILD_TYPE=Release
%cmake_build


%install
%cmake_install
# install documentation
mkdir -p %{buildroot}/%{_docdir}/s2n-tls/docs
mkdir -p %{buildroot}/%{_docdir}/s2n-tls/docs/examples
mkdir -p %{buildroot}/%{_docdir}/s2n-tls/docs/images
install -p -m 644 docs/*.md %{buildroot}/%{_docdir}/s2n-tls/docs/
install -p -m 644 docs/examples/*.c %{buildroot}/%{_docdir}/s2n-tls/docs/examples/
install -p -m 644 docs/images/*.png %{buildroot}/%{_docdir}/s2n-tls/docs/images/
install -p -m 644 docs/images/*.svg %{buildroot}/%{_docdir}/s2n-tls/docs/images/


%check
%ctest


%files
%license LICENSE NOTICE
%doc README.md VERSIONING.rst


%files libs
%{_libdir}/libs2n.so.1{,.*}


%files devel
%{_libdir}/libs2n.so
%{_includedir}/s2n.h
%dir %{_includedir}/s2n
%dir %{_includedir}/s2n/unstable
%{_includedir}/s2n/unstable/*.h
%dir %{_libdir}/cmake/s2n
%dir %{_libdir}/cmake/s2n/modules
%dir %{_libdir}/cmake/s2n/shared
%{_libdir}/cmake/s2n/*.cmake
%{_libdir}/cmake/s2n/modules/*.cmake
%{_libdir}/cmake/s2n/shared/*.cmake


%files doc
%license LICENSE NOTICE
%dir %{_docdir}/s2n-tls/docs/
%dir %{_docdir}/s2n-tls/docs/images/
%dir %{_docdir}/s2n-tls/docs/examples/
%{_docdir}/s2n-tls/docs/*.md
%{_docdir}/s2n-tls/docs/images/*.png
%{_docdir}/s2n-tls/docs/images/*.svg
%{_docdir}/s2n-tls/docs/examples/*.c


%changelog
* Thu May 02 2024 Dominik Wombacher <dominik@wombacher.cc> - 1.4.13-1
- update to 1.4.13

* Tue Sep 26 2023 Benson Muite <benson_muite@emailplus.org> - 1.3.51-1
- Initial packaging
